program CreateSrc

  use sep
  
  implicit none

  integer                                :: n1, n2
  real                                   :: o1, o2, d1, d2, inc
  integer                                :: i, j
  real,allocatable                       :: loc(:,:)
  logical                                :: isou, isx
  
  call initpar()
     call from_param("n1", n1, 80 )
     call from_param("n2", n2, 1)
     call from_param("o1", o1, 1000.)
     call from_param("o2", o2, 0.)
     call from_param("d1", d1, 1. )
     call from_param("d2", d2, 1.)
  call from_param("inc",inc,100.)
  call from_param("isx",isx,.true.)
  call from_param("isou", isou, .true.)
  allocate(loc(n1,n2))
  write(0,*) n1, n2
  if(isou) then
      if (isx) then
         do j=1,n1
            loc(j,1) = (j-1) * inc + o1
         end do
      else
         do j=1,n1
            loc(j,1) = 10.
         end do
      end if
  else
      if (isx) then 
         do j=1,n1
            loc(j,1) = 5000.
         end do
      else 
         do j=1,n1
            loc(j,1) = 8000.
         end do
      end if
  end if
      
  call to_history("n1", n1)
  call to_history("n2", n2)
  call to_history("d1", d1)
  call to_history("d2", d2)
  call to_history("o1", o1)
  call to_history("o2", o2)
  
  call to_history("esize", 4)
  call sep_write(loc)
  deallocate(loc)

end program CreateSrc
