program CreateCoord

  use sep
  
  implicit none

  integer                                :: n1, n2
  real                                   :: o1, o2, d1, d2
  integer                                :: i, j
  real,allocatable                       :: loc(:,:)
  logical                                :: isou
  
  call initpar()
  call from_param("isou", isou)
  if (isou) then
     call from_param("n1", n1, 2 )
     call from_param("n2", n2, 41)
     call from_param("o1", o1, 0.)
     call from_param("o2", o2, -1600.)
     call from_param("d1", d1, 1. )
     call from_param("d2", d2, 80.)
  else
     call from_param("n1", n1, 2 )
     call from_param("n2", n2, 501)
     call from_param("o1", o1, 0.)
     call from_param("o2", o2, -2000.)
     call from_param("d1", d1, 1. )
     call from_param("d2", d2, 8.)
  end if

  allocate(loc(n1,n2))
  write(0,*) n1, n2

  loc(2, :) = 0.1
  do j=1,n2
     loc(1,j) = (j-1) * d2 + o2
  end do

  call to_history("n1", n1)
  call to_history("n2", n2)
  call to_history("d1", d1)
  call to_history("d2", d2)
  call to_history("o1", o1)
  call to_history("o2", o2)
  
  call to_history("esize", 4)
  call sep_write(loc)
  deallocate(loc)

end program CreateCoord
