module ani_dso3
  use ani_parms_cg
  use base_trismt_mod
  contains

  subroutine anidso(wgcig,ogcig,mdso,adj,illum)

    real                                            :: wgcig(:,:,:), ogcig(:,:,:)
    real,optional                                   :: illum(:,:,:)
    real,allocatable                                :: wm(:),wd(:)
	logical											:: adj
    integer                                         :: ix,isecdim,iz,mdso,stat, nsmth_img
    real                                            :: thred, wm_avg, wd_avg, depth, h, hmax

	nsmth_img = 1	
	thred = 0.
	hmax = (nsecdim-1)*dsecdim+osecdim

	if (adj) then
		ogcig = wgcig	

	    do isecdim=1,nsecdim
    		h=(isecdim-1)*dsecdim+osecdim
			h = h/hmax
  			if (h <= thred .and. h>= -thred) then
      			ogcig(:,isecdim,:) = 0.
      		else
        		select case (mdso)
        		case(0)
					if(h<0) ogcig(:,isecdim,:) = wgcig(:,nsecdim-isecdim+1,:)
       				ogcig(:,isecdim,:)=ogcig(:,isecdim,:)*abs(h)

					if (1==2) then
					do iz = 1, img%z%n
						depth = (iz-1)*dz + oz
       					ogcig(:,isecdim,iz)=ogcig(:,isecdim,iz)*abs(h) *depth
					end do
					end if
        		case(1)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim+1,:) = - ( - wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
        		case(2)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim+1,:) = - ( - wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
          			ogcig(:,isecdim,:)=ogcig(:,isecdim,:)*abs(h)
				case(3)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim+1,:) = - ( - wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
					do iz = 1, img%z%n
						depth = (iz-1)*dz + oz
      					ogcig(:,isecdim,iz)=ogcig(:,isecdim,iz)*abs(h)*depth
					end do
!        		case(3)
!          			h=abs(h)
!          			do iz=1,nz
!            			wm = wm + wgcig(:,isecdim,iz)*wgcig(:,isecdim,iz)
!            			wd = wd + h*h*wgcig(:,isecdim,iz)*wgcig(:,isecdim,iz)
!          			end do
        	   	   end select
			   end if
      	   end do
		if (1==2) then
		stat = base_trismt_init(mdl%xm%n,nsecdim,nz)
	    do isecdim=1,nsecdim
			do iz = 1, img%z%n-1
				stat = base_tris1d_oper(ogcig(:,isecdim,iz), rect1, nsmth_img, adj)	
			end do
		end do
		end if
	else   ! Forward case
		ogcig = wgcig	
	    do isecdim=1,nsecdim
    		h=(isecdim-1)*dsecdim+osecdim
  			if (h <= thred .and. h>= -thred) then
      			ogcig(:,isecdim,:) = 0.
      		else
        		select case (mdso)
        		case(0)
					if(h<0) ogcig(:,isecdim,:) = wgcig(:,nsecdim-isecdim+1,:)
       				ogcig(:,isecdim,:)=ogcig(:,isecdim,:)*abs(h)
					if(1==2) then
					do iz = 1, img%z%n
						depth = (iz-1)*dz + oz
       					ogcig(:,isecdim,iz)=ogcig(:,isecdim,iz)*abs(h)*depth
					end do
					end if
        		case(1)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim,:) = (- wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
        		case(2)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim,:) = (- wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
          			ogcig(:,isecdim,:)=ogcig(:,isecdim,:)*abs(h)
				case(3)
		  			if (isecdim .le.nsecdim-1) then
						ogcig(:,isecdim,:) = (- wgcig(:,isecdim,:) + wgcig(:,isecdim+1,:)) / (dsecdim)
		  			end if
					do iz = 1,img%z%n 
						depth = (iz-1)*dz + oz
      					ogcig(:,isecdim,iz)=ogcig(:,isecdim,iz)*abs(h)*depth
					end do
!        		case(3)
!          			h=abs(h)
!          			do iz=1,nz
!            			wm = wm + wgcig(:,isecdim,iz)*wgcig(:,isecdim,iz)
!            			wd = wd + h*h*wgcig(:,isecdim,iz)*wgcig(:,isecdim,iz)
!          			end do
        		end select
        	end if
      	end do
		if(1==2) then
		   stat = base_trismt_init(mdl%xm%n,nsecdim,nz)
	    do isecdim=1,nsecdim
			do iz = 1, img%z%n-1
				stat = base_tris1d_oper(ogcig(:,isecdim,iz), rect1, nsmth_img, adj)	
			end do
		end do
		end if
	end if

    end subroutine anidso

  end module ani_dso3
