module ani_imgprc
  use ani_parms_cg
  use base_trismt_mod
  contains

  subroutine aniimgprc(add, adj, wgcig, ogcig, mdso, func)

    real                                            :: wgcig(:,:,:), ogcig(:,:,:)
	double precision, optional						:: func
	logical											:: add, adj
	integer											:: mdso
    integer                                         :: ix,isecdim,iz, stat, nsmth_img
    real                                            :: thred, depth, h, hmax
	
	hmax = (nsecdim - 1)*dsecdim + osecdim
	nsmth_img = 1
!	call from_param("alpha",alpha,.1) 
	
	write(0,*) "mdso = ", mdso

	if (adj) then
		if (mdso==0) then	
			ogcig = wgcig 
			do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				ogcig (:,isecdim,:) = ogcig (:,isecdim,:) * abs(h)
			end do
		else if (mdso==1) then
			ogcig = wgcig
			do isecdim=1,nsecdim/2
				ogcig (:,nsecdim-isecdim+1,:) = wgcig (:,isecdim,:)
			end do
		    do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				ogcig (:,isecdim,:) = ogcig (:,isecdim,:) * abs(h)
			end do
		else if (mdso==2) then
		    do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				ogcig (:,isecdim,:) = wgcig (:,isecdim,:) * abs(h)
			end do
			ogcig (:,nsecdim/2+1,:) = - alpha * wgcig (:,nsecdim/2+1,:)
		else if (mdso==3) then
			ogcig = 0.
			ogcig (:,nsecdim/2+1,:) = - wgcig (:,nsecdim/2+1,:)
		else
			call seperr("mdso=0, 1, 2, or 3")	
		end if	

	else	

		if (mdso==0) then	
			wgcig = ogcig
		    do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				wgcig (:,isecdim,:) = wgcig (:,isecdim,:) * abs(h)
			end do
			func = sum (wgcig * wgcig)
		else if (mdso==1) then
			wgcig = ogcig	
		    do isecdim=1,nsecdim/2 
				wgcig (:,isecdim,:) = ogcig (:,nsecdim-isecdim+1,:)
			end do
			do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				wgcig (:,isecdim,:) = wgcig (:,isecdim,:) * abs(h)
			end do
			func = sum(wgcig * wgcig)
		else if (mdso==2) then
			wgcig = 0.	
		    do isecdim=1,nsecdim
				h = (isecdim-1)*dsecdim + osecdim; h = h / hmax
				wgcig (:,isecdim,:) = ogcig (:,isecdim,:) * abs(h)
			end do
			func = sum(wgcig * wgcig)
			wgcig (:,nsecdim/2+1,:) = - alpha * ogcig (:,nsecdim/2+1,:)
			func = func - alpha * sum (ogcig(:,nsecdim/2+1,:)*ogcig(:,nsecdim/2+1,:))
		else if (mdso==3) then
			wgcig = 0.
			wgcig (:,nsecdim/2+1,:) = - ogcig (:,nsecdim/2+1,:)
			func = sum(wgcig * wgcig)
		else
			call seperr("mdso=0, 1, 2, or 3")	
		end if	
	end if

  end subroutine aniimgprc
end module ani_imgprc
