program etacomp 

  use sep

  implicit none

  integer                               :: iter, icmp, iangle, ncig=16
  real, allocatable                     :: cigcube(:,:,:), eta(:,:)
  integer                               :: n1out, n2out
  real                                  :: d1, o1, d2, o2, d3, o3
  integer                               :: n1, n2, n3, tmp_begin, tmp_end
  character(20)                         :: label1, label2


  call sep_init(SOURCE)

  ! Get data dimensions from command line.
  call from_history("n1",n1)	           
  call from_history("n2",n2)
  call from_history("n3",n3)
  ! Get data subscript from command line
  call from_history("o1",o1)
  call from_history("o2",o2)
  call from_history("o3",o3)
  call from_history("d1",d1)
  call from_history("d2",d2)
  call from_history("d3",d3)

  n1out = n1
  n2out = ncig * n3
  allocate(cigcube(n1, n2, n3),eta(n1, n2))
  call sep_read(cigcube)

  cigcube = -cigcube
  do iter = 1, n3
!    where (cigcube(:,:,iter) < 0)
!      cigcube(:,:,iter) = 0.
!    end where
    eta = eta + cigcube(:,:,iter)
  end do

  where (eta < 0)
    eta=0
  end where

  call to_history("n1",n1)             
  call to_history("n2",n2)
  call to_history("o1",o1)
  call to_history("o2",o2)
  call to_history("d1",d1)
  call to_history("d2",d2)
  call to_history("esize", 4)

  call sep_write(eta)
  deallocate(cigcube, eta)

end program 


